package routine

import (
	"github.com/gin-gonic/gin"
	swaggerfiles "github.com/swaggo/files"
	ginSwagger "github.com/swaggo/gin-swagger"
	"trading-go/controller"
	"trading-go/docs" // 千万不要忘了导入把你上一步生成的docs
)

func GetRoutine() *gin.Engine {
	r := gin.Default()
	r.Use(controller.Cors)

	// swagger
	docs.SwaggerInfo.BasePath = ""
	r.GET("/swagger/*any", ginSwagger.WrapHandler(swaggerfiles.Handler))

	user := r.Group("user")
	{
		user.GET("info", controller.UserInfo)
		user.POST("modify", controller.Modify)
		user.POST("login", controller.Login)
		user.POST("register", controller.Register)
	}

	r.GET("chat", controller.LinkToServer)
	return r
}
